Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/pom.xml	(revision 488)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
     <properties>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-    <version>1.0.79-SNAPSHOT</version>
+    <version>1.0.79</version>
   </parent>
 
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/pom.xml	(revision 488)
@@ -9,7 +9,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
     <dependencies>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
     <properties>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
     <dependencies>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-    <version>1.0.79-SNAPSHOT</version>
+    <version>1.0.79</version>
   </parent>
 
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/pom.xml	(revision 488)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
     <properties>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-    <version>1.0.79-SNAPSHOT</version>
+    <version>1.0.79</version>
   </parent>
 
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/pom.xml	(revision 488)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gdal.app.mainplugin</artifactId>
-        <version>1.0.79-SNAPSHOT</version>
+        <version>1.0.79</version>
     </parent>
 
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/pom.xml	(revision 488)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gdal.app</artifactId>
-		<version>1.0.79-SNAPSHOT</version>
+		<version>1.0.79</version>
 	</parent>
 	<artifactId>org.gvsig.gdal.app.ogr.gml</artifactId>
 
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/pom.xml	(revision 488)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gdal.app</artifactId>
-		<version>1.0.79-SNAPSHOT</version>
+		<version>1.0.79</version>
 	</parent>
 	<artifactId>org.gvsig.gdal.app.ogr.mainplugin</artifactId>
 
Index: trunk/org.gvsig.gdal/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/pom.xml	(revision 488)
@@ -3,7 +3,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.gdal</artifactId>
     <packaging>pom</packaging>
-    <version>1.0.79-SNAPSHOT</version>
+    <version>1.0.79</version>
     <name>org.gvsig.gdal</name>
     <description>GDAL-support library extension</description>
     <parent>
@@ -14,9 +14,9 @@
 
     <url>http://devel.gvsig.org/sites/org.gvsig.gdal/${project.version}</url>
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-gdal/trunk/org.gvsig.gdal</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-gdal/trunk/org.gvsig.gdal</developerConnection>
-        <url>scm:svn:https://devel.gvsig.org/svn/gvsig-gdal/trunk/org.gvsig.gdal</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-gdal/tags/org.gvsig.gdal-1.0.79</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-gdal/tags/org.gvsig.gdal-1.0.79</developerConnection>
+        <url>scm:svn:https://devel.gvsig.org/svn/gvsig-gdal/tags/org.gvsig.gdal-1.0.79</url>
     </scm>
     <developers>
         <developer>
@@ -82,54 +82,54 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.gdal.app.mainplugin.common</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
                 <type>zip</type>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.gdal.app.mainplugin.common</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
                 <type>jar</type>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.gdal.app.mainplugin.all.all</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.gdal.app.mainplugin.lin.x86</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.gdal.app.mainplugin.lin.x86_64</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.gdal.app.mainplugin.win.x86</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
             	<groupId>org.gvsig</groupId>
             	<artifactId>org.gvsig.gdal.app.ogr.mainplugin</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
             	<groupId>org.gvsig</groupId>
             	<artifactId>org.gvsig.gdal.prov.ogr</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
             	<groupId>org.gvsig</groupId>
             	<artifactId>org.gvsig.gdal.prov.gml</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
             <dependency>
             	<groupId>org.gvsig</groupId>
             	<artifactId>org.gvsig.gdal.app.ogr.gml</artifactId>
-                <version>1.0.79-SNAPSHOT</version>
+                <version>1.0.79</version>
             </dependency>
 
            <!--
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.prov/org.gvsig.gdal.prov.ogr/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.prov/org.gvsig.gdal.prov.ogr/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.prov/org.gvsig.gdal.prov.ogr/pom.xml	(revision 488)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gdal.prov</artifactId>
-		<version>1.0.79-SNAPSHOT</version>
+		<version>1.0.79</version>
 	</parent>
 	<artifactId>org.gvsig.gdal.prov.ogr</artifactId>
 	<name>org.gvsig.gdal.prov.ogr</name>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.prov/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.prov/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.prov/pom.xml	(revision 488)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gdal</artifactId>
-		<version>1.0.79-SNAPSHOT</version>
+		<version>1.0.79</version>
 	</parent>
 	<artifactId>org.gvsig.gdal.prov</artifactId>
 	<packaging>pom</packaging>
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.prov/org.gvsig.gdal.prov.gml/pom.xml
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.prov/org.gvsig.gdal.prov.gml/pom.xml	(revision 487)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.prov/org.gvsig.gdal.prov.gml/pom.xml	(revision 488)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gdal.prov</artifactId>
-		<version>1.0.79-SNAPSHOT</version>
+		<version>1.0.79</version>
 	</parent>
 	<artifactId>org.gvsig.gdal.prov.gml</artifactId>
 	<name>org.gvsig.gdal.prov.gml</name>