Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:08:02 CET 2020
-buildNumber=65
+#Thu Feb 27 19:39:35 CET 2020
+buildNumber=66
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:08:00 CET 2020
-buildNumber=84
+#Thu Feb 27 19:39:33 CET 2020
+buildNumber=85
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:47 CET 2020
-buildNumber=87
+#Thu Feb 27 19:39:20 CET 2020
+buildNumber=88
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:44 CET 2020
-buildNumber=84
+#Thu Feb 27 19:39:17 CET 2020
+buildNumber=85
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:41 CET 2020
-buildNumber=87
+#Thu Feb 27 19:39:14 CET 2020
+buildNumber=88
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:57 CET 2020
-buildNumber=86
+#Thu Feb 27 19:39:30 CET 2020
+buildNumber=87
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:42 CET 2020
-buildNumber=84
+#Thu Feb 27 19:39:15 CET 2020
+buildNumber=85
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:42 CET 2020
-buildNumber=87
+#Thu Feb 27 19:39:15 CET 2020
+buildNumber=88
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:51 CET 2020
-buildNumber=87
+#Thu Feb 27 19:39:24 CET 2020
+buildNumber=88
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:07:54 CET 2020
-buildNumber=86
+#Thu Feb 27 19:39:27 CET 2020
+buildNumber=87
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 495)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 496)
@@ -1,2 +1,2 @@
-#Thu Feb 27 19:08:02 CET 2020
-buildNumber=65
+#Thu Feb 27 19:39:35 CET 2020
+buildNumber=66