Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameNorthDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameNorthDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameNorthDialog.java	(revision 717)
@@ -23,6 +23,7 @@
 
 import java.awt.Color;
 import java.awt.Dimension;
+import java.awt.event.ActionEvent;
 import java.awt.geom.Rectangle2D;
 import java.io.File;
 
@@ -157,6 +158,7 @@
                             isAcepted = true;
                             notifyDialogClosed();
                             layoutPanel.getLayoutControl().setDefaultTool();
+                            fireActionEvent(new ActionEvent(FFrameNorthDialog.this, 1, "accept"));
                         }
                     }, new java.awt.event.ActionListener() { // Cancel
 
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFramePictureDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFramePictureDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFramePictureDialog.java	(revision 717)
@@ -23,6 +23,7 @@
 
 import java.awt.Component;
 import java.awt.Dimension;
+import java.awt.event.ActionEvent;
 import java.awt.geom.Rectangle2D;
 import java.io.File;
 
@@ -345,6 +346,7 @@
                         FFramePictureDialog.this);
                     notifyDialogClosed();
                     layoutPanel.getLayoutControl().setDefaultTool();
+                    fireActionEvent(new ActionEvent(FFramePictureDialog.this, 1, "accept"));
                 }
             });
         }
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameGroupDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameGroupDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameGroupDialog.java	(revision 717)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.project.documents.layout.fframes.gui.dialogs;
 
+import java.awt.event.ActionEvent;
 import java.awt.geom.Rectangle2D;
 
 import org.gvsig.andami.PluginServices;
@@ -130,6 +131,7 @@
                         FFrameGroupDialog.this);
                     isAcepted = true;
                     notifyDialogClosed();
+                    fireActionEvent(new ActionEvent(FFrameGroupDialog.this, 1, "accept"));
                 }
             });
         }
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameScaleBarDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameScaleBarDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameScaleBarDialog.java	(revision 717)
@@ -26,6 +26,7 @@
 import java.awt.Dimension;
 import java.awt.FlowLayout;
 import java.awt.Font;
+import java.awt.event.ActionEvent;
 import java.awt.event.KeyEvent;
 import java.awt.geom.Rectangle2D;
 import java.text.ParseException;
@@ -610,6 +611,7 @@
                         FFrameScaleBarDialog.this);
                     notifyDialogClosed();
                     layoutPanel.getLayoutControl().setDefaultTool();
+                    fireActionEvent(new ActionEvent(FFrameScaleBarDialog.this, 1, "accept"));
                 }
             });
         }
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameLegendDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameLegendDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameLegendDialog.java	(revision 717)
@@ -24,6 +24,7 @@
 import java.awt.Component;
 import java.awt.Dimension;
 import java.awt.Font;
+import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
 import java.awt.geom.Rectangle2D;
 import java.util.ArrayList;
@@ -293,6 +294,7 @@
                     notifyDialogClosed();
                     layoutPanel.getLayoutControl().setDefaultTool();
                     isAcepted = true;
+                    fireActionEvent(new ActionEvent(FFrameLegendDialog.this, 1, "accept"));
                 }
             };
             cancelAction = new java.awt.event.ActionListener() {
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameTextDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameTextDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameTextDialog.java	(revision 717)
@@ -438,6 +438,7 @@
                         FFrameTextDialog.this);
                     notifyDialogClosed();
                     layoutPanel.getLayoutControl().setDefaultTool();
+                    fireActionEvent(new ActionEvent(FFrameTextDialog.this, 1, "accept"));
                 }
             };
             cancelAction = new java.awt.event.ActionListener() {
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameGridDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameGridDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameGridDialog.java	(revision 717)
@@ -662,6 +662,8 @@
                     PluginServices.getMDIManager().closeWindow(
                         FFrameGridDialog.this);
                     notifyDialogClosed();
+                    fireActionEvent(new ActionEvent(FFrameGridDialog.this, 1, "accept"));
+                    
                 }
             };
             cancelAction = new java.awt.event.ActionListener() {
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameOverViewDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameOverViewDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameOverViewDialog.java	(revision 717)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.project.documents.layout.fframes.gui.dialogs;
 
+import java.awt.event.ActionEvent;
 import java.awt.geom.Rectangle2D;
 import java.util.ArrayList;
 import java.util.List;
@@ -268,6 +269,7 @@
                                 .toSheetRect(rect, layoutPanel
                                     .getLayoutControl().getAT()));
 
+                        fireActionEvent(new ActionEvent(FFrameOverViewDialog.this, 1, "accept"));
                         }
                     } catch (CloneNotSupportedException e1) {
                         LOG.error("It is not possible clonate the object", e);
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameBoxDialog.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameBoxDialog.java	(revision 716)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/project/documents/layout/fframes/gui/dialogs/FFrameBoxDialog.java	(revision 717)
@@ -23,6 +23,7 @@
 
 import java.awt.Graphics;
 import java.awt.Graphics2D;
+import java.awt.event.ActionEvent;
 import java.awt.geom.Rectangle2D;
 
 import javax.swing.JLabel;
@@ -135,6 +136,8 @@
                         isAcepted = true;
                         notifyDialogClosed();
                         layoutPanel.getLayoutControl().setDefaultTool();
+                        fireActionEvent(new ActionEvent(FFrameBoxDialog.this, 1, "accept"));
+
                     }
                 },
 