Index: org.gvsig.animation3d/trunk/org.gvsig.animation3d/pom.xml
===================================================================
--- org.gvsig.animation3d/trunk/org.gvsig.animation3d/pom.xml	(revision 718)
+++ org.gvsig.animation3d/trunk/org.gvsig.animation3d/pom.xml	(revision 719)
@@ -1,43 +1,71 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <parent>
-    <groupId>org.gvsig</groupId>
-    <artifactId>org.gvsig.desktop</artifactId>
-    <version>2.0.146-SNAPSHOT</version>
-  </parent>
-  <groupId>org.gvsig</groupId>
-  <artifactId>org.gvsig.animation3d</artifactId>
-  <version>1.0.0-SNAPSHOT</version>
-  <packaging>pom</packaging>
-  <name>org.gvsig.animation3d</name>
-  <modules>
-  	<module>org.gvsig.animation3d.app</module>
-  	<module>org.gvsig.animation3d.swing</module>
-  </modules>
-  
-  <properties>
-  	<org.gvsig.view3d.version>1.0.23</org.gvsig.view3d.version>
-  </properties>
-  
-  <dependencyManagement>
-  	<dependencies>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.view3d</artifactId>
-			<scope>import</scope>
-			<type>pom</type>
-			<version>${org.gvsig.view3d.version}</version>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.animation3d.swing.api</artifactId>
-			<version>1.0.0-SNAPSHOT</version>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.animation3d.swing.impl</artifactId>
-			<version>1.0.0-SNAPSHOT</version>
-		</dependency>  	
-  	</dependencies>
-  </dependencyManagement>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<parent>
+		<groupId>org.gvsig</groupId>
+		<artifactId>org.gvsig.desktop</artifactId>
+		<version>2.0.146-SNAPSHOT</version>
+	</parent>
+	<groupId>org.gvsig</groupId>
+	<artifactId>org.gvsig.animation3d</artifactId>
+	<version>1.0.0-SNAPSHOT</version>
+	<packaging>pom</packaging>
+	<name>org.gvsig.animation3d</name>
+
+	<url>https://devel.gvsig.org/sites/org.gvsig.view3d/${project.version}</url>
+	<scm>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-3d/org.gvsig.animation3d/trunk/${project.artifactId}</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-3d/org.gvsig.animation3d/trunk/${project.artifactId}</developerConnection>
+		<url>https://redmine.gvsig.net/redmine/projects/gvsig-3d/repository/show/org.gvsig.animation3d/trunk/${project.artifactId}</url>
+	</scm>
+
+	<distributionManagement>
+		<site>
+			<id>gvsig-repository</id>
+			<url>dav:https://devel.gvsig.org/sites/org.gvsig.animation3d/${project.version}</url>
+		</site>
+	</distributionManagement>
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-release-plugin</artifactId>
+				<configuration>
+					<tagBase>https://devel.gvsig.org/svn/gvsig-3d/org.gvsig.animation3d/tags</tagBase>
+					<goal>deploy</goal>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
+
+	<modules>
+		<module>org.gvsig.animation3d.app</module>
+		<module>org.gvsig.animation3d.swing</module>
+	</modules>
+
+	<properties>
+		<org.gvsig.view3d.version>1.0.23</org.gvsig.view3d.version>
+	</properties>
+
+	<dependencyManagement>
+		<dependencies>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>org.gvsig.view3d</artifactId>
+				<scope>import</scope>
+				<type>pom</type>
+				<version>${org.gvsig.view3d.version}</version>
+			</dependency>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>org.gvsig.animation3d.swing.api</artifactId>
+				<version>1.0.0-SNAPSHOT</version>
+			</dependency>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>org.gvsig.animation3d.swing.impl</artifactId>
+				<version>1.0.0-SNAPSHOT</version>
+			</dependency>
+		</dependencies>
+	</dependencyManagement>
 </project>