Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.main/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.main/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.main/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.main</artifactId>
 	<name>org.gvsig.view3d.main</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.lib</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.lib.api</artifactId>
 	<name>org.gvsig.view3d.lib.api</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.impl/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.impl/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.impl/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.lib</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.lib.impl</artifactId>
 	<name>org.gvsig.view3d.lib.impl</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.lib/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.view3d</artifactId>
-    <version>1.1.0</version>
+    <version>1.1.0-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.view3d.lib</artifactId>
   <packaging>pom</packaging>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/pom.xml	(revision 740)
@@ -1,7 +1,7 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>org.gvsig.view3d</artifactId>
-	<version>1.1.0</version>
+	<version>1.1.0-SNAPSHOT</version>
 	<packaging>pom</packaging>
 	<name>org.gvsig.view3d</name>
 	<parent>
@@ -11,9 +11,9 @@
 	</parent>
 	<url>https://devel.gvsig.org/sites/org.gvsig.view3d/${project.version}</url>
 	<scm>
-		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-3d/2.1/tags/org.gvsig.view3d-1.1.0</connection>
-		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-3d/2.1/tags/org.gvsig.view3d-1.1.0</developerConnection>
-		<url>https://redmine.gvsig.net/redmine/projects/gvsig-3d/repository/show/2.1/tags/org.gvsig.view3d-1.1.0</url>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-3d/2.1/trunk/${project.artifactId}</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-3d/2.1/trunk/${project.artifactId}</developerConnection>
+		<url>https://redmine.gvsig.net/redmine/projects/gvsig-3d/repository/show/2.1/trunk/${project.artifactId}</url>
 	</scm>
 	<repositories>
 		<repository>
@@ -61,27 +61,27 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.view3d.app.common</artifactId>
-				<version>1.1.0</version>
+				<version>1.1.0-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.view3d.swing.api</artifactId>
-				<version>1.1.0</version>
+				<version>1.1.0-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.view3d.swing.impl</artifactId>
-				<version>1.1.0</version>
+				<version>1.1.0-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.view3d.lib.api</artifactId>
-				<version>1.1.0</version>
+				<version>1.1.0-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.view3d.lib.impl</artifactId>
-				<version>1.1.0</version>
+				<version>1.1.0-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.swing</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.swing.api</artifactId>
 	<name>org.gvsig.view3d.swing.api</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.view3d</artifactId>
-    <version>1.1.0</version>
+    <version>1.1.0-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.view3d.swing</artifactId>
   <packaging>pom</packaging>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.swing</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.swing.impl</artifactId>
 	<name>org.gvsig.view3d.swing.impl</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.app</artifactId>
 	<packaging>pom</packaging>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.common/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.common/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.common/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.app</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.app.common</artifactId>
 	<name>org.gvsig.view3d.app.common</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.win.x86_64/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.win.x86_64/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.win.x86_64/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.app</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.app.win.x86_64</artifactId>
 	<name>org.gvsig.view3d.app.win.x86_64</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.lin.x86_64/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.lin.x86_64/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.lin.x86_64/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.app</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.app.lin.x86_64</artifactId>
 	<name>org.gvsig.view3d.app.lin.x86_64</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.win.x86/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.win.x86/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.win.x86/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.view3d.app</artifactId>
-		<version>1.1.0</version>
+		<version>1.1.0-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.view3d.app.win.x86</artifactId>
 	<name>org.gvsig.view3d.app.win.x86</name>
Index: 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.lin.x86/pom.xml
===================================================================
--- 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.lin.x86/pom.xml	(revision 739)
+++ 2.1/branches/org.gvsig.view3d_vector_and_extrusion_2.3/org.gvsig.view3d/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.lin.x86/pom.xml	(revision 740)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.view3d.app</artifactId>
-    <version>1.1.0</version>
+    <version>1.1.0-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.view3d.app.lin.x86</artifactId>
   <name>org.gvsig.view3d.app.lin.x86</name>