Index: JVectorLoaderParametersController.java
===================================================================
--- JVectorLoaderParametersController.java	(revision 759)
+++ JVectorLoaderParametersController.java	(revision 760)
@@ -1,9 +1,23 @@
 package org.gvsig.view3d.vector.swing.impl;
 
+import java.util.Arrays;
+import java.util.List;
+
 import javax.swing.JComponent;
 
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dataTypes.CoercionException;
+import org.gvsig.tools.dataTypes.DataTypes;
+import org.gvsig.tools.dataTypes.DataTypesManager;
+import org.gvsig.tools.dataTypes.DataTypesManager.Coercion;
+import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.view3d.lib.api.loader.LoaderParameters;
 import org.gvsig.view3d.swing.api.exception.InvalidLoaderParametersException;
+import org.gvsig.view3d.vector.lib.api.VectorElevationMode;
+import org.gvsig.view3d.vector.lib.api.VectorLoaderParameters;
 import org.gvsig.view3d.vector.swing.api.JVectorLoaderParameters;
 
 /**
@@ -15,10 +29,78 @@
 
     private static final long serialVersionUID = -4115765106906551132L;
 
+    private static final Logger LOG = LoggerFactory.getLogger(JVectorLoaderParametersController.class);
+
+    private JColorChooserButton colorChooserButton;
+
+    private VectorLoaderParameters parameters;
+
+    public JVectorLoaderParametersController(VectorLoaderParameters parameters) {
+        super();
+        this.parameters = parameters;
+
+        translate();
+        initComponents();
+    }
+
+    private void translate() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        this.elevationModeText.setText(i18nManager.getTranslation(this.elevationModeText.getText()));
+        this.defaultColorText.setText(i18nManager.getTranslation(this.defaultColorText.getText()));
+        this.constantHeightText.setText(i18nManager.getTranslation(this.constantHeightText.getText()));
+    }
+
+    @SuppressWarnings("unchecked")
+    private void initComponents() {
+
+        List<VectorElevationMode> elevationModes = Arrays.asList(VectorElevationMode.values());
+
+        // Elevation mode
+        this.elevationMode.setRenderer(new ElevationModeComboBoxRenderer());
+        for (VectorElevationMode mode : elevationModes) {
+            this.elevationMode.addItem(mode);
+        }
+        
+        if(parameters.getVectorElevationMode() != null) {
+            this.elevationMode.setSelectedItem(parameters.getVectorElevationMode());
+        }
+
+        // Default Color
+        this.colorChooserButton = new JColorChooserButton(parameters.getDefaultColor());
+        this.defaultColorPanel.add(colorChooserButton);
+
+        // Constant height
+        try {
+            DataTypesManager dataTypesManager = ToolsLocator.getDataTypesManager();
+            Coercion stringCoercion = dataTypesManager.getCoercion(DataTypes.STRING);
+            this.constantHeight.setText((String) stringCoercion.coerce(parameters.getConstantHeight()));
+        } catch (CoercionException e) {
+            LOG.error(
+                String.format("Can not parse constant this height value %d to string", parameters.getConstantHeight()),
+                e);
+            this.constantHeight.setText("");
+        }
+    }
+
     @Override
     public LoaderParameters getLoaderParameters() throws InvalidLoaderParametersException {
-        // TODO Auto-generated method stub
-        return null;
+
+        this.parameters.setVectorElevationMode((VectorElevationMode) this.elevationMode.getSelectedItem());
+        this.parameters.setDefaultColor(this.colorChooserButton.getSelectedColor());
+
+        try {
+            DataTypesManager dataTypesManager = ToolsLocator.getDataTypesManager();
+            Coercion doubleCoercion = dataTypesManager.getCoercion(DataTypes.DOUBLE);
+            this.parameters.setConstantHeight((double) doubleCoercion.coerce(this.constantHeight.getText()));
+        } catch (CoercionException e) {
+            LOG.error(
+                String.format("Can not parse constant this height value %s to double", this.constantHeight.getText()),
+                e);
+            throw new InvalidLoaderParametersException("Invalid constant height value",
+                "constant_height_has_to_be_a_number", e);
+        }
+
+        return this.parameters;
     }
 
     @Override